Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.pkix.cert
Class Extension

    java.lang.Object
      |
      +--org.mozilla.jss.pkix.cert.Extension

All Implemented Interfaces:
  ASN1Value

Direct Known Subclasses:
  SubjectKeyIdentifier

public class Extension
extends java.lang.Object
implements ASN1Value

Nested Class Summary
`static class` | `Extension.Template`

Field Summary
`private boolean` | `critical`
`private OBJECT_IDENTIFIER` | `extnId`
`private OCTET_STRING` | `extnValue`
`static Tag` | `TAG`
`private static Extension.Template` | `templateInstance`

Constructor Summary
`private` | `Extension()`
`` | `Extension(OBJECT_IDENTIFIER extnId, boolean critical, OCTET_STRING extnValue)`

Method Summary
`void` | `encode(java.io.OutputStream ostream)` Write this value's DER encoding to an output stream using its own base tag.
`void` | `encode(Tag implicit, java.io.OutputStream ostream)` Write this value's DER encoding to an output stream using an implicit tag.
`boolean` | `getCritical()`
`OBJECT_IDENTIFIER` | `getExtnId()` Returns the extension identifier.
`OCTET_STRING` | `getExtnValue()`
`Tag` | `getTag()` Returns the base tag for this type, not counting any tags that may be imposed on it by its context.
`static Extension.Template` | `getTemplate()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TAG

    public static final Tag TAG

### extnId

    private OBJECT_IDENTIFIER extnId

### critical

    private boolean critical

### extnValue

    private OCTET_STRING extnValue

### templateInstance

    private static final Extension.Template templateInstance

Constructor Detail

### Extension

    private Extension()

### Extension

    public Extension(OBJECT_IDENTIFIER extnId,
                     boolean critical,
                     OCTET_STRING extnValue)

Method Detail

### getTag

    public Tag getTag()

  Description copied from interface: `ASN1Value`
  Returns the base tag for this type, not counting any tags that may be imposed on it by its context.

  Specified by:
    `getTag` in interface `ASN1Value`

### getExtnId

    public OBJECT_IDENTIFIER getExtnId()

  Returns the extension identifier.

### getCritical

    public boolean getCritical()

### getExtnValue

    public OCTET_STRING getExtnValue()

### encode

    public void encode(java.io.OutputStream ostream)
                throws java.io.IOException

  Description copied from interface: `ASN1Value`
  Write this value's DER encoding to an output stream using its own base tag.

  Specified by:
    `encode` in interface `ASN1Value`
    `java.io.IOException`

### encode

    public void encode(Tag implicit,
                       java.io.OutputStream ostream)
                throws java.io.IOException

  Description copied from interface: `ASN1Value`
  Write this value's DER encoding to an output stream using an implicit tag.

  Specified by:
    `encode` in interface `ASN1Value`
    `java.io.IOException`

### getTemplate

    public static Extension.Template getTemplate()

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD